Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview
Interface PeerReviewEvents

All Known Implementing Classes:
  BasicEntryDeserializer, MyEntryDeserializer, RecordLayer, RecordSocket, ReplayLayer, SecureHistoryFactoryImpl, Verifier

    public interface PeerReviewEvents

Field Summary
`static short` | `EVT_ACK`
`static short` | `EVT_CHECKPOINT`
`static short` | `EVT_INIT`
`static short` | `EVT_MAX_SOCKET_EVT`
`static short` | `EVT_MIN_SOCKET_EVT`
`static short` | `EVT_RECV`
`static short` | `EVT_SEND`
`static short` | `EVT_SENDSIGN`
`static short` | `EVT_SIGN`
`static short` | `EVT_SOCKET_CAN_READ`
`static short` | `EVT_SOCKET_CAN_RW`
`static short` | `EVT_SOCKET_CAN_WRITE`
`static short` | `EVT_SOCKET_CLOSE`
`static short` | `EVT_SOCKET_CLOSED`
`static short` | `EVT_SOCKET_EXCEPTION`
`static short` | `EVT_SOCKET_OPEN_INCOMING`
`static short` | `EVT_SOCKET_OPEN_OUTGOING`
`static short` | `EVT_SOCKET_OPENED_OUTGOING`
`static short` | `EVT_SOCKET_READ`
`static short` | `EVT_SOCKET_SHUTDOWN_OUTPUT`
`static short` | `EVT_SOCKET_WRITE`
`static short` | `EX_TYPE_ClosedChannel`
`static short` | `EX_TYPE_IO`
`static short` | `EX_TYPE_Unknown`

Field Detail

### EVT_SEND

    static final short EVT_SEND

See Also:
  Constant Field Values

### EVT_RECV

    static final short EVT_RECV

See Also:
  Constant Field Values

### EVT_SIGN

    static final short EVT_SIGN

See Also:
  Constant Field Values

### EVT_ACK

    static final short EVT_ACK

See Also:
  Constant Field Values

### EVT_CHECKPOINT

    static final short EVT_CHECKPOINT

See Also:
  Constant Field Values

### EVT_INIT

    static final short EVT_INIT

See Also:
  Constant Field Values

### EVT_SENDSIGN

    static final short EVT_SENDSIGN

See Also:
  Constant Field Values

### EVT_SOCKET_OPEN_INCOMING

    static final short EVT_SOCKET_OPEN_INCOMING

See Also:
  Constant Field Values

### EVT_SOCKET_OPEN_OUTGOING

    static final short EVT_SOCKET_OPEN_OUTGOING

See Also:
  Constant Field Values

### EVT_SOCKET_OPENED_OUTGOING

    static final short EVT_SOCKET_OPENED_OUTGOING

See Also:
  Constant Field Values

### EVT_SOCKET_EXCEPTION

    static final short EVT_SOCKET_EXCEPTION

See Also:
  Constant Field Values

### EVT_SOCKET_CLOSE

    static final short EVT_SOCKET_CLOSE

See Also:
  Constant Field Values

### EVT_SOCKET_SHUTDOWN_OUTPUT

    static final short EVT_SOCKET_SHUTDOWN_OUTPUT

See Also:
  Constant Field Values

### EVT_SOCKET_CLOSED

    static final short EVT_SOCKET_CLOSED

See Also:
  Constant Field Values

### EVT_SOCKET_CAN_READ

    static final short EVT_SOCKET_CAN_READ

See Also:
  Constant Field Values

### EVT_SOCKET_CAN_WRITE

    static final short EVT_SOCKET_CAN_WRITE

See Also:
  Constant Field Values

### EVT_SOCKET_CAN_RW

    static final short EVT_SOCKET_CAN_RW

See Also:
  Constant Field Values

### EVT_SOCKET_READ

    static final short EVT_SOCKET_READ

See Also:
  Constant Field Values

### EVT_SOCKET_WRITE

    static final short EVT_SOCKET_WRITE

See Also:
  Constant Field Values

### EVT_MIN_SOCKET_EVT

    static final short EVT_MIN_SOCKET_EVT

See Also:
  Constant Field Values

### EVT_MAX_SOCKET_EVT

    static final short EVT_MAX_SOCKET_EVT

See Also:
  Constant Field Values

### EX_TYPE_IO

    static final short EX_TYPE_IO

See Also:
  Constant Field Values

### EX_TYPE_ClosedChannel

    static final short EX_TYPE_ClosedChannel

See Also:
  Constant Field Values

### EX_TYPE_Unknown

    static final short EX_TYPE_Unknown

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.